Bug 193715 - kernel-xen0 MPT SAS bootup problem
Summary: kernel-xen0 MPT SAS bootup problem
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 179599
TreeView+ depends on / blocked
 
Reported: 2006-05-31 19:27 UTC by Chris Lalancette
Modified: 2009-12-14 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:09:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Lalancette 2006-05-31 19:27:33 UTC
Description of problem:
I sucessfully installed FC5/i686 on the MPT SAS drive on an HP xw9400, but
needed the "noapic" parameter to boot and install.  After the install, a normal
SMP kernel boots fine.  I installed the latest FC5 xen0 kernel (which is
kernel-xen0-2.6.16-1.2122_FC5), and rebooted.  During the boot of this kernel,
while bringing up the SAS driver, I get the following stack trace:

mptbase: Initiating ioc0 bringup
ioc0: SAS1068E: Capabilities={Initiator}
mptbase: Initiating ioc0 recovery
BUG: soft lockup detected on CPU#2!
 <c043ed9e> softlockup_tick+0x9f/0xb4  <c0408727> timer_interrupt+0x4fc/0x545
 <c043ee59> handle_IRQ_event+0x42/0x85  <c043ef29> __do_IRQ+0x8d/0xdc
 <c04066bc> do_IRQ+0x1a/0x25  <c053d380> evtchn_do_upcall+0x66/0x9f
 <c0404d91> hypervisor_callback+0x3d/0x48  <c0407219> delay_tsc+0xd/0x15
 <f483dadb> WaitForDoorbellInt+0x97/0xb8 [mptbase]  <f483dcc1>
mpt_handshake_req_reply_wait+0x119/0x25a [mptbase]
 <f483e3f2> SendIocInit+0x213/0x2c6 [mptbase]  <f4842204>
mpt_do_ioc_recovery+0xe64/0xe96 [mptbase]
 <c04d78ab> __next_cpu+0x11/0x22  <c041687a> find_busiest_group+0xfe/0x2a0
 <c04175fc> rebalance_tick+0x109/0x269  <c0408760> timer_interrupt+0x535/0x545
 <f48422c7> mpt_HardResetHandler+0x91/0xf5 [mptbase]  <f4842338>
mpt_timer_expired+0xd/0x25 [mptbase]
 <c0425832> run_timer_softirq+0x122/0x17c  <f484232b> mpt_timer_expired+0x0/0x25
[mptbase]
 <c0421727> __do_softirq+0x70/0xef  <c04217e6> do_softirq+0x40/0x67
 <c04066c1> do_IRQ+0x1f/0x25  <c053d380> evtchn_do_upcall+0x66/0x9f
 <c0404d91> hypervisor_callback+0x3d/0x48  <c0402bf5> xen_idle+0x60/0x7f
 <c0402d53> cpu_idle+0xbc/0xd5 

This repeats a few times (anywhere from 1-5 more times), and then it gets by,
and boots the rest of the kernel fine.  I also tried the latest fc6 kernel
(kernel-xen0-2.6.16-1.2236_FC6), with the same result.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1.  Install FC-5/i686 on an HP xw9400
2.  Install the kernel-xen0 kernel.
3.  Reboot into kernel-xen0
  
Actual results:
Stack trace as described above.

Expected results:
Normal boot.

Additional info:

Comment 1 Red Hat Bugzilla 2007-07-25 01:31:42 UTC
change QA contact

Comment 2 Chris Lalancette 2008-02-26 23:09:03 UTC
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.